### Signal

# GtkSource VimIMContext::edit

since: 5.4

#### Declaration

    void
    edit (
      GtkSourceVimIMContext* self,
      GtkSourceView* view,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Requests the application open the file found at `path`.

If `path` is `NULL`, then the current file should be reloaded from storage.

This may be executed in relation to the user running the `:edit` or `:e` commands.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 5.4

#### Parameters

`view`

  Type: `GtkSourceView`

  The `GtkSourceView`.

  The data is owned by the caller of the function.

`path`

  Type: `gchar*`

  The path if provided, otherwise `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.